curl --request POST \
--url https://api.enrow.io/email/find/single \
--header 'Content-Type: application/json' \
--header 'x-api-key: YOUR_API_KEY' \
--data '{
"fullname": "Dwight Schrute",
"company_domain": "dundermifflin.com",
"settings": {
"retrieve_gender": true
}
}'
const response = await fetch('https://api.enrow.io/email/find/single', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'x-api-key': process.env.ENROW_API_KEY
},
body: JSON.stringify({
fullname: 'Dwight Schrute',
company_domain: 'dundermifflin.com',
settings: {
retrieve_gender: true
}
})
});
const data = await response.json();
console.log(data.id);
import requests
import os
url = "https://api.enrow.io/email/find/single"
headers = {
"Content-Type": "application/json",
"x-api-key": os.getenv("ENROW_API_KEY")
}
payload = {
"fullname": "Dwight Schrute",
"company_domain": "dundermifflin.com",
"settings": {
"retrieve_gender": True
}
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
{
"message": "Single search operating",
"id": "0cf517bc-16e8-45bc-b967-ab9116b3c804",
"credits_used": 1
}
{
"message": "..."
}
Email Finder
Find Single Email
Find a single professional email address from a full name and company domain or name
POST
/
email
/
find
/
single
curl --request POST \
--url https://api.enrow.io/email/find/single \
--header 'Content-Type: application/json' \
--header 'x-api-key: YOUR_API_KEY' \
--data '{
"fullname": "Dwight Schrute",
"company_domain": "dundermifflin.com",
"settings": {
"retrieve_gender": true
}
}'
const response = await fetch('https://api.enrow.io/email/find/single', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'x-api-key': process.env.ENROW_API_KEY
},
body: JSON.stringify({
fullname: 'Dwight Schrute',
company_domain: 'dundermifflin.com',
settings: {
retrieve_gender: true
}
})
});
const data = await response.json();
console.log(data.id);
import requests
import os
url = "https://api.enrow.io/email/find/single"
headers = {
"Content-Type": "application/json",
"x-api-key": os.getenv("ENROW_API_KEY")
}
payload = {
"fullname": "Dwight Schrute",
"company_domain": "dundermifflin.com",
"settings": {
"retrieve_gender": True
}
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
{
"message": "Single search operating",
"id": "0cf517bc-16e8-45bc-b967-ab9116b3c804",
"credits_used": 1
}
{
"message": "..."
}
POST
Run a single email search to find a professional email address. Authenticate every request with your API key in the
See Error handling for the full list of status codes and response formats.
https://api.enrow.io/email/find/single
x-api-key header. For batch operations, use the Find Bulk Emails endpoint (up to 5,000 searches per batch).
Enrow performs determinist verifications that verify even catch-all emails. This means passing the found emails through a debouncer afterwards isn’t needed.
Request Body
string
required
The full name of the person for which to find the email
string
The company’s domain, multiple formats accepted (
"dundermifflin.com", "https://www.dundermifflin.com"…)Note: Either company_domain or company_name is required.string
The company’s name (
"Apple", "Air France", …)Note: Either company_domain or company_name is required.object
Custom params that will be returned in the GET response and in the webhook notification.
Show custom object
Show custom object
string
default:"your_custom_property"
Custom data of yours
object
A set of settings related to this search
Show settings properties
Show settings properties
string
A URL that will be notified through an HTTP POST request once the single search is finished. See How Webhooks Work.
string
default:"US"
The ISO 3166 Alpha-2 code of the country related to the search. Relevant when using a company name — helps disambiguate homonyms by searching on localized Google.
boolean
default:"false"
Allows you to get the gender (
male/female) of the person.boolean
default:"false"
Return additional company information in the result. Currently only effective when
country_code is FR.Response
200 — Search initiated
string
Confirmation message
string
Unique identifier for this search. Use this to retrieve results via the GET endpoint.
number
Number of credits consumed. See Credits & billing for per-endpoint costs.
Error Responses
| Code | Message |
|---|---|
| 400 | invalid JSON input |
| 400 | both company_domain and company_name are absent, input payload needs at least one of them |
| 400 | missing fullname |
| 401 | No apikey found in the x-api-key headers |
| 401 | This apikey is not valid |
| 402 | Insufficient credits |
Insufficient-credit (
402) responses on single endpoints return { "reason": "...", "success": false }; all other errors return { "message": "..." }.curl --request POST \
--url https://api.enrow.io/email/find/single \
--header 'Content-Type: application/json' \
--header 'x-api-key: YOUR_API_KEY' \
--data '{
"fullname": "Dwight Schrute",
"company_domain": "dundermifflin.com",
"settings": {
"retrieve_gender": true
}
}'
const response = await fetch('https://api.enrow.io/email/find/single', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'x-api-key': process.env.ENROW_API_KEY
},
body: JSON.stringify({
fullname: 'Dwight Schrute',
company_domain: 'dundermifflin.com',
settings: {
retrieve_gender: true
}
})
});
const data = await response.json();
console.log(data.id);
import requests
import os
url = "https://api.enrow.io/email/find/single"
headers = {
"Content-Type": "application/json",
"x-api-key": os.getenv("ENROW_API_KEY")
}
payload = {
"fullname": "Dwight Schrute",
"company_domain": "dundermifflin.com",
"settings": {
"retrieve_gender": True
}
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
{
"message": "Single search operating",
"id": "0cf517bc-16e8-45bc-b967-ab9116b3c804",
"credits_used": 1
}
{
"message": "..."
}
Next steps
Get the result
Retrieve the found email using the search
id.Find emails in bulk
Run up to 5,000 email searches in a single request.
Authentication
How to pass your API key in the x-api-key header.
Webhooks
Get notified automatically when a search completes.
Was this page helpful?

